# Generated by Django 4.0.4 on 2022-05-25 09:25

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("wagtailcore", "0066_collection_management_permissions"),
        ("donate", "0022_donatehomepage_custom_url_1_and_more"),
    ]

    operations = [
        migrations.CreateModel(
            name="DonateSecretPreviewPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
            ],
            options={
                "verbose_name": "Skrytá stránka pro náhled konceptu",
            },
            bases=("wagtailcore.page",),
        ),
    ]
